Package org.eclipse.birt.core.archive

# Class FileArchiveReader

java.lang.Object
org.eclipse.birt.core.archive.compound.ArchiveReader
org.eclipse.birt.core.archive.FileArchiveReader

All Implemented Interfaces:
  `IDocArchiveReader`

public class FileArchiveReader extends ArchiveReader
file based archive reader. It reads multiple streams from a single physical file. the file is created by FileArchiveWriter.

## Field Summary

### Fields inherited from class org.eclipse.birt.core.archive.compound.ArchiveReader

`archive, shareArchive`

## Constructor Summary

Constructors
Constructor
Description
`FileArchiveReader(String fileName)`

## Method Summary

Modifier and Type
Method
Description
`void`
`expandFileArchive(String folderArchiveName)`
Explode the existing compound file archive to a folder that contains corresponding files in it.

### Methods inherited from class org.eclipse.birt.core.archive.compound.ArchiveReader

`close, exists, getArchive, getInputStream, getName, getStream, listAllStreams, listStreams, lock, open, unlock`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileArchiveReader

public FileArchiveReader(String fileName) throws IOException

Parameters:
  `fileName` - - the absolute name of the file archive
Throws:
  `IOException`

## Method Details

### expandFileArchive

public void expandFileArchive(String folderArchiveName) throws IOException
Explode the existing compound file archive to a folder that contains corresponding files in it. NOTE: The original file archive will NOT be deleted. However, if the specified folder archive exists already, its old content will be totally erased first.

Parameters:
  `folderArchiveName` - - the name of the folder archive.
Throws:
  `IOException`